Share via


Vpn Sites Configuration - Download

Gives the sas-url to download the configurations for vpn-sites in a resource group.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/vpnConfiguration?api-version=2025-05-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

virtualWANName
path True

string

The name of the VirtualWAN.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
outputBlobSasUrl True

string

The sas-url to download the configurations for vpn-sites.

vpnSites

string[]

List of resource-ids of the vpn-sites for which config is to be downloaded.

Responses

Name Type Description
200 OK

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VpnSitesConfigurationDownload

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualWans/wan1/vpnConfiguration?api-version=2025-05-01

{
  "outputBlobSasUrl": "https://blobcortextesturl.blob.core.windows.net/folderforconfig/vpnFile?sp=rw&se=2018-01-10T03%3A42%3A04Z&sv=2017-04-17&sig=WvXrT5bDmDFfgHs%2Brz%2BjAu123eRCNE9BO0eQYcPDT7pY%3D&sr=b",
  "vpnSites": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/vpnSites/abc"
  ]
}

Sample response

location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

GetVpnSitesConfigurationRequest

List of Vpn-Sites.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

GetVpnSitesConfigurationRequest

List of Vpn-Sites.

Name Type Description
outputBlobSasUrl

string

The sas-url to download the configurations for vpn-sites.

vpnSites

string[]

List of resource-ids of the vpn-sites for which config is to be downloaded.